---
title: "Get score status"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{entityId}/scores/status`

## Path parameters

- `entityId` (`entity-reputation-get-score-status.path.entityId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<entityId>/scores/status'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<entityId>/scores/status';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<entityId>/scores/status"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": {
    "enabled": true,
    "reason": "membership_required",
    "identity": {
      "status": "string",
      "chainId": 0,
      "registryAddress": "string",
      "tokenId": "string",
      "transactionHash": "string",
      "registeredAt": "string"
    },
    "lastAnchor": {
      "grade": "string",
      "calculatedAt": "string",
      "chainId": 0,
      "chainName": "string",
      "txHash": "string",
      "explorerUrl": "http://example.com"
    }
  },
  "meta": {
    "timestamp": "2019-08-24T14:15:22Z"
  }
}
```

- `data` (`entity-reputation-get-score-status.response.200.data`; object, required)
  - `enabled` (`entity-reputation-get-score-status.response.200.data.enabled`; boolean, required)
  - `reason` (`entity-reputation-get-score-status.response.200.data.reason`; string, required, nullable)
    - one of `"membership_required"`
  - `identity` (`entity-reputation-get-score-status.response.200.data.identity`; object, optional, nullable)
    - `status` (`entity-reputation-get-score-status.response.200.data.identity.status`; string, required)
    - `chainId` (`entity-reputation-get-score-status.response.200.data.identity.chainId`; integer, required, nullable)
    - `registryAddress` (`entity-reputation-get-score-status.response.200.data.identity.registryAddress`; string, required, nullable)
    - `tokenId` (`entity-reputation-get-score-status.response.200.data.identity.tokenId`; string, required, nullable)
    - `transactionHash` (`entity-reputation-get-score-status.response.200.data.identity.transactionHash`; string, required, nullable)
    - `registeredAt` (`entity-reputation-get-score-status.response.200.data.identity.registeredAt`; string, required, nullable)
  - `lastAnchor` (`entity-reputation-get-score-status.response.200.data.lastAnchor`; object, optional, nullable)
    - `grade` (`entity-reputation-get-score-status.response.200.data.lastAnchor.grade`; string, required, nullable)
    - `calculatedAt` (`entity-reputation-get-score-status.response.200.data.lastAnchor.calculatedAt`; string, required)
    - `chainId` (`entity-reputation-get-score-status.response.200.data.lastAnchor.chainId`; integer, required)
    - `chainName` (`entity-reputation-get-score-status.response.200.data.lastAnchor.chainName`; string, required)
    - `txHash` (`entity-reputation-get-score-status.response.200.data.lastAnchor.txHash`; string, required)
    - `explorerUrl` (`entity-reputation-get-score-status.response.200.data.lastAnchor.explorerUrl`; string, required, nullable)
      - format `uri`
- `meta` (`entity-reputation-get-score-status.response.200.meta`; object, optional)
  - `timestamp` (`entity-reputation-get-score-status.response.200.meta.timestamp`; string, required)
    - format `date-time`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-get-score-status.response.400.error`; object, required)
  - `code` (`entity-reputation-get-score-status.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-get-score-status.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-get-score-status.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-get-score-status.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-get-score-status.response.401.error`; object, required)
  - `code` (`entity-reputation-get-score-status.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-get-score-status.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-get-score-status.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-get-score-status.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-get-score-status.response.403.error`; object, required)
  - `code` (`entity-reputation-get-score-status.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-get-score-status.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-get-score-status.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-get-score-status.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-get-score-status.response.404.error`; object, required)
  - `code` (`entity-reputation-get-score-status.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-get-score-status.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-get-score-status.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-get-score-status.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-get-score-status.response.409.error`; object, required)
  - `code` (`entity-reputation-get-score-status.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-get-score-status.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-get-score-status.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-get-score-status.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-get-score-status.response.500.error`; object, required)
  - `code` (`entity-reputation-get-score-status.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-get-score-status.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-get-score-status.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-get-score-status.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 501

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-get-score-status.response.501.error`; object, required)
  - `code` (`entity-reputation-get-score-status.response.501.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-get-score-status.response.501.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-get-score-status.response.501.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-get-score-status.response.501.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-reputation-get-score-status.response.503.error`; object, required)
  - `code` (`entity-reputation-get-score-status.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-reputation-get-score-status.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-reputation-get-score-status.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-reputation-get-score-status.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-reputation-get-score-status/index.md
